Last modified: 2013-04-08 11:01:49 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28805 - incorrect interwiki link zh-classic because of wrong database data
incorrect interwiki link zh-classic because of wrong database data
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Unprioritized major (vote)
: ---
Assigned To: Antoine "hashar" Musso (WMF)
: shell
Depends on:
Blocks: 16660
  Show dependency treegraph
 
Reported: 2011-05-04 00:18 UTC by merl
Modified: 2013-04-08 11:01 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description merl 2011-05-04 00:18:54 UTC
Some pages containing an interwikis to zh-classical show this interwiki link as zh-classic prefix (without -al). I think this i because the database field was shorter in the past.

For http://zh.wikipedia.org/wiki/Template:Link_FA the api returns:
lang="zh-classic"
url="http://zh.wikipedia.org/wiki/Zh-classic:Template:Link_FA"

using query <http://zh.wikipedia.org/w/api.php?action=query&prop=info|langlinks&titles=Template:Link%20FA&lllimit=max&llurl>

But http://zh.wikipedia.org/wiki/Zh-classic:Template:Link_FA is not correct because it is a valid title in article namespace on zhwiki.
For interwiki bots it shows an languagelink to the same site which must not be possible because self links are not permitted per definition (that why [[zh:abc]] on zhwiki is parsed as interwiki and not an languagelink)

There is no prefix zh-classic on interwikimap http://zh.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=interwikimap

So please update languagelink table so that api can return valid values.
Comment 1 db [inactive,noenotif] 2011-05-04 19:01:18 UTC
sounds like incorrect database situtation

need a update on the cluster:

update langlinks set ll_lang = 'zh-classical'
where ll_lang = 'zh-classic'
Comment 2 Antoine "hashar" Musso (WMF) 2011-05-15 01:57:32 UTC
Given we have roughly 900 databases, we might want to script this up <:o)
Comment 3 Antoine "hashar" Musso (WMF) 2011-05-15 10:38:51 UTC
Live databases have been updated! For the record, the command used was:

foreachwiki runBatchedQuery.php "update langlinks set ll_lang='zh-classical' where ll_lang='zh-classic' LIMIT 100"

I had to fix up a duplicate entry in the ptwiki database : 
 ll_from: 162503
 ll_lang: zh-classic
 ll_title: Template:Link A

I have just deleted this incorrect row.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links